Bug 609817 - Review Request: dojo - Modular JavaScript toolkit
Review Request: dojo - Modular JavaScript toolkit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Felix Kaechele
Fedora Extras Quality Assurance
:
: dojo (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 04:27 EDT by Andrew Colin Kissa
Modified: 2014-08-29 09:01 EDT (History)
7 users (show)

See Also:
Fixed In Version: dojo-1.6.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-28 19:56:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msuchy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Spec file rebuilding dojo from sources (4.38 KB, text/plain)
2010-10-18 06:34 EDT, Patrick Monnerat
no flags Details
Patch for the spec file in attachment 1 (14.49 KB, patch)
2010-10-18 06:35 EDT, Patrick Monnerat
no flags Details | Diff
Apache configuration file for dojo. Used by the spec file in attachement 1 (176 bytes, text/plain)
2010-10-18 06:37 EDT, Patrick Monnerat
no flags Details

  None (edit)
Description Andrew Colin Kissa 2010-07-01 04:27:57 EDT
Spec URL: http://topdog-software.com/oss/SRPMS/fedora/dojo/dojo.spec
SRPM URL: http://topdog-software.com/oss/SRPMS/fedora/dojo/dojo-1.4.3-1.fc13.src.rpm
Description: Dojo is a JavaScript toolkit, providing cross-browser abstractions and widgets
for building dynamic web sites.
Comment 1 Andrew Colin Kissa 2010-07-01 04:32:50 EDT
*** Bug 455541 has been marked as a duplicate of this bug. ***
Comment 2 Patrick Monnerat 2010-10-18 06:34:16 EDT
Created attachment 454077 [details]
Spec file rebuilding dojo from sources

The spec file you propose uses a preprocessed version of dojo. It does not rebuild it from the real sources.
In hope that it can help you, please find a dojo spec file I wrote some times ago: it does rebuild dojo from sources. Do what you want with it.
Comment 3 Patrick Monnerat 2010-10-18 06:35:42 EDT
Created attachment 454079 [details]
Patch for the spec file in attachment 1 [details]
Comment 4 Patrick Monnerat 2010-10-18 06:37:35 EDT
Created attachment 454082 [details]
Apache configuration file for dojo. Used by the spec file in attachement 1
Comment 6 Felix Kaechele 2011-03-19 08:12:32 EDT
Please update to 1.6.0.
I'll then start the review.
Comment 8 Miroslav Suchý 2011-05-20 09:04:47 EDT
I would suggest:

-Requires:       httpd
+Requires:       webserver

as you can have boa, lighthttpd... installed instead of httpd.


==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines   including Web_Applications
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     tested in: f16/koji
     http://koji.fedoraproject.org/koji/taskinfo?taskID=3083333
 [x] Rpmlint output: clean
 [x] Package is not relocatable.
 [x] Buildroot is correct
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
7ca8aa5a1db3ee1cabf414b2068ccdea  ../SOURCES/dojo-release-1.6.0.tar.gz
7ca8aa5a1db3ee1cabf414b2068ccdea  dojo-release-1.6.0.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 1.6.0
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the tests pass


================
*** NEED WORK  ***
================

Fix the requires and it will be ok.
Comment 9 Andrew Colin Kissa 2011-05-20 09:15:06 EDT
Hi Miroslav,

If i use the webserver meta package, the package will not be useable when installed, Redhat does not have a configuration system like debconf which would setup the package for the user's installed webserver is that wise ?
Comment 10 Miroslav Suchý 2011-05-20 09:24:11 EDT
Hmmm, yes you are right. And if I have installed boa, then the dir /etc/httpd/conf.d will does not exist ....
I would say if somebody will have to use it with something else, he must install httpd and disable that service and manualy configure it for its own server.


APPROVED
Comment 11 Andrew Colin Kissa 2011-05-20 09:31:31 EDT
Miroslav, Thanks for the review,

New Package SCM Request
=======================
Package Name: dojo
Short Description: Modular JavaScript toolkit
Owners: topdog
Branches: f13 f14 f15 el5 el6
Comment 12 Kevin Fenzi 2011-05-20 18:26:43 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2011-05-21 05:03:21 EDT
dojo-1.6.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/dojo-1.6.0-1.fc15
Comment 14 Fedora Update System 2011-05-21 05:10:21 EDT
dojo-1.6.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/dojo-1.6.0-1.fc14
Comment 15 Fedora Update System 2011-05-21 08:29:31 EDT
dojo-1.6.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/dojo-1.6.0-1.fc13
Comment 16 Fedora Update System 2011-05-21 08:43:47 EDT
dojo-1.6.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dojo-1.6.0-1.el5
Comment 17 Fedora Update System 2011-05-21 08:52:12 EDT
dojo-1.6.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dojo-1.6.0-1.el6
Comment 18 Fedora Update System 2011-05-24 22:51:51 EDT
dojo-1.6.0-1.fc15 has been pushed to the Fedora 15 testing repository.
Comment 19 Fedora Update System 2011-05-28 19:55:57 EDT
dojo-1.6.0-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 20 Fedora Update System 2011-06-02 15:10:42 EDT
dojo-1.6.0-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 21 Fedora Update System 2011-06-02 15:11:22 EDT
dojo-1.6.0-1.fc13 has been pushed to the Fedora 13 stable repository.
Comment 22 Fedora Update System 2011-06-15 10:55:01 EDT
dojo-1.6.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 23 Fedora Update System 2011-06-15 10:58:09 EDT
dojo-1.6.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 24 Andrew Colin Kissa 2014-08-29 08:33:57 EDT
New Package SCM Request
=======================
Package Name: dojo
Short Description: Modular JavaScript toolkit
Upstream URL: http://dojotoolkit.org/
Owners: topdog
Branches: epel7
InitialCC:
Comment 25 Gwyn Ciesla 2014-08-29 09:01:56 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.